Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.grape
[Java] Class Grape

    java.lang.Object
      groovy.grape.Grape

    public class Grape
    extends java.lang.Object

Facade to GrapeEngine.

Field Summary
`protected static GrapeEngine` | `instance`

Method Summary
`static void` | `addResolver(java.util.Map args)`
`static java.util.Map` | `enumerateGrapes()`
`static boolean` | `getEnableAutoDownload()` This is a static access auto download enabler.
`static boolean` | `getEnableGrapes()` This is a static access kill-switch.
`static GrapeEngine` | `getInstance()`
`static void` | `grab(java.lang.String endorsed)`
`static void` | `grab(java.util.Map dependency)`
`static void` | `grab(java.util.Map args, java.util.Map... dependencies)`
`static java.util.Map[]` | `listDependencies(java.lang.ClassLoader cl)`
`static java.net.URI[]` | `resolve(java.util.Map args, java.util.Map... dependencies)`
`static java.net.URI[]` | `resolve(java.util.Map args, java.util.List depsInfo, java.util.Map... dependencies)`
`static void` | `setEnableAutoDownload(boolean enableAutoDownload)` This is a static access auto download enabler.
`static void` | `setEnableGrapes(boolean enableGrapes)` This is a static access kill-switch.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### instance

    protected static GrapeEngine instance

Method Detail

### addResolver

    public static void addResolver(java.util.Map args)

### enumerateGrapes

    public static java.util.Map enumerateGrapes()

### getEnableAutoDownload

    public static boolean getEnableAutoDownload()

  This is a static access auto download enabler. It will set the 'autoDownload' value to the passed in arguments map if not already set. If 'autoDownload' is set the value will not be adjusted.
  This applies to the grab and resolve calls.
  If it is set to false, only previously downloaded grapes will be used. This may cause failure in the grape call if the library has not yet been downloaded If it is set to true, then any jars not already downloaded will automatically be downloaded. Also, any versions expressed as a range will be checked for new versions and downloaded (with dependencies) if found.
  By default it is set to false.

### getEnableGrapes

    public static boolean getEnableGrapes()

  This is a static access kill-switch. All of the static shortcut methods in this class will not work if this property is set to false.
  By default it is set to true.

### getInstance

    public static GrapeEngine getInstance()

### grab

    public static void grab(java.lang.String endorsed)

### grab

    public static void grab(java.util.Map dependency)

### grab

    public static void grab(java.util.Map args, java.util.Map... dependencies)

### listDependencies

    public static java.util.Map[] listDependencies(java.lang.ClassLoader cl)

### resolve

    public static java.net.URI[] resolve(java.util.Map args, java.util.Map... dependencies)

### resolve

    public static java.net.URI[] resolve(java.util.Map args, java.util.List depsInfo, java.util.Map... dependencies)

### setEnableAutoDownload

    public static void setEnableAutoDownload(boolean enableAutoDownload)

  This is a static access auto download enabler. It will set the 'autoDownload' value to the passed in arguments map if not already set. If 'autoDownload' is set the value will not be adjusted.
  This applies to the grab and resolve calls.
  If it is set to false, only previously downloaded grapes will be used. This may cause failure in the grape call if the library has not yet been downloaded
  If it is set to true, then any jars not already downloaded will automatically be downloaded. Also, any versions expressed as a range will be checked for new versions and downloaded (with dependencies) if found.
  By default it is set to false.

### setEnableGrapes

    public static void setEnableGrapes(boolean enableGrapes)

  This is a static access kill-switch. All of the static shortcut methods in this class will not work if this property is set to false.
  By default it is set to true.

Groovy Documentation